#!/bin/bash

# File to operate on
file="startstop_unix.d"

# Temporary file to hold changes
temp_file=$(mktemp)

# Flag to track if the next line should be commented/uncommented
comment_next=false
uncomment_next=false

# Read the file line by line
while IFS= read -r line; do
  if [[ "$line" == *in/* ]]; then
    # Comment the line containing 'in/'
    echo "# $line" >> "$temp_file"
    comment_next=true
  elif $comment_next; then
    # Comment the line immediately following
    echo "# $line" >> "$temp_file"
    comment_next=false
  elif [[ "$line" == *dev/slink2ew.d* ]]; then
    # Uncomment the specific line
    echo "Process          \"slink2ew dev/slink2ew.d\"" >> "$temp_file"
    uncomment_next=true
  elif $uncomment_next; then
    # Uncomment the line immediately following
    echo "${line#"#"}" >> "$temp_file"
    uncomment_next=false
  else
    # Write the line as is
    echo "$line" >> "$temp_file"
  fi
done < "$file"

# Overwrite the original file with the modified content
mv "$temp_file" "$file"

echo "Modifications applied to $file"
