# This is binder's parameter file!
#
MyModuleId   MOD_BINDER_EW    # module id for this instance of binder
RingName     PICK_RING     # transport ring for I/O
LogFile      1             # 0 to completely turn off disk log file
HeartbeatInt 30            # Seconds between heartbeats

# List the message logos to grab from transport ring
#              Installation       Module       Message Type
GetPicksFrom   INST_WILDCARD    MOD_WILDCARD    # pick2k

# Set level of output for writing log file
#
log_stack          # comment out to turn of grid-stack logging
hypcode    7

# Load station list
maxsite 1000
site_file ${STATIONFILE}   #real-time station list, in format for binder,eqproc

# Load Hawaii crustal model
#
@${VELOCITY_MODEL}

# Define the association grid.  Set stacking parameters.
#
dspace		3.0
grdlat	       18.5		22.0
grdlon	     -158.5	      -154.5
grdz		0.0		51.0
rstack 100.0
tstack 0.50
stack  200
thresh 16
focus  20
grid_wt 0 4
grid_wt 1 3
grid_wt 2 2
grid_wt 3 1

# Set parameters for associating picks with active hypocenters
#
rAvg_Factor 5.0
taper	0.0	1.0
taper	50.0	1.0
taper	200.0	2.5
taper   400.0   4.5
# bfh: 11/5/94: "variable taper" proportional to Origin Time Uncertainty:
# Set both to 0.0 to get Carl's original distance taper only.
taper_OT 2.0 1.0
t_dif   -3.0   240.

# Set parameters for locating events
#
wt 0 1.0
wt 1 0.5
wt 2 0.25
wt 3 0.125
ph P  1.0
ph Pn 0.5
ph Pg 0.5
r_max  400.0
zrange 1.0 55.0
MaxStep 25.0  5.0
MinXYZstep 0.1
MaxIter 4
MaxDeltaRms 1.0001
locate_eq  25   2
locate_eq  50   4
locate_eq  75   8
locate_eq 100  16
# Culls events based on rms, picks are freed up to be reassociated...added 4/18/13 by WT
#
rmscut_pick 0.3 20
rmscut_pick 0.5 50
rmscut_pick 1.0 100

# Set parameters for assessing groups of picks
# with Bill Ellsworth's resampling technique:
assess_pk  6  20
maxtrial   500
maxwt      3
v_halfspace   5.0
residual_cut  3.0  10.0
#log_accepted

# Load in the next valid quake sequence number
#
EventIdFile quake_id.d

no_P_on_Horiz
no_S_on_Z
ChannelNumberMap NEZ

nearest_quake_dist 5 2    # don't nucleate a second event if within 5km and 2s of an existing origin

# end of parameter file
