#
#       Startstop (Unix Version -- Linux) Configuration File
#
#    <nRing> is the number of transport rings to create.
#    <Ring> specifies the name of a ring followed by it's size
#    in kilobytes, eg        Ring    WAVE_RING 1024
#    The maximum size of a ring depends on your operating system, 
#    amount of physical RAM and configured virtual (paging) memory 
#    available. A good place to start is 1024 kilobytes. 
#    Ring names are listed in file earthworm.d.
#

nRing  13
Ring   WAVE_RING        4098
Ring   MSEED_RING       4098
Ring   AAV_RING         1024
Ring   PICK_RING        1024
Ring   HYPO_RING        1024
Ring   HYPO_RING_ARC    1024
Ring   EXPORT_RING      1024
Ring   FPICK_RING       1024
Ring   SUBTRIG_RING     1024
Ring   TRIG_RING        1024
Ring   STATUS_RING      1024
Ring   HYPO_RING_AUTO   1024
Ring   HYPO_RING_FINAL  1024

MyModuleId    MOD_STARTSTOP  # Module Id for this program
HeartbeatInt  30             # Heartbeat interval in seconds
MyClassName   TS             # For this program
MyPriority     0             # For this program

LogFile            1              # 1=write a log file to disk, 0=don't,
                                  # 2=write to module log but not stderr/stdout
KillDelay          5              # Number of seconds to wait on shutdown
                                  #  for a child process to self-terminate
                                  #  before killing it

HardKillDelay      10             # Wait this many more secs for procs to die
                                  #  before really killing them

Process        "statmgr statmgr.d"
Class/Priority NONE 0

# DEV
#Process          "import_generic dev/import_generic_t1.d"
#Class/Priority NONE 0
#Process          "import_generic dev/import_generic_t2.d"
#Class/Priority NONE 0

# IN
Process        "slink2ew in/slink2ew.d"
Class/Priority NONE 0

# EQK
#Process       "pick_ew pick/pick_ew.d"
#Class/Priority NONE 0
Process        "pick_FP pick/pick_FP.d"
Class/Priority NONE 0
Process        "binder_ew eqk/binder_ew.d"
Class/Priority NONE 0
Process        "eqproc eqk/eqproc.d"
Class/Priority NONE 0
Process        "hyps2ps eqk/hyps2ps.d"
Class/Priority NONE 0
Process        "ew2file eqk/ewhyp2file.d"
Class/Priority NONE 0
Process        "localmag mag/localmag.d"
Class/Priority NONE 0
Process        "ewmag2cisn mag/ewmag2cisn.d"
Class/Priority NONE 0

# CARL
Process        "fir carl/fir.d"
Class/Priority NONE 0
Process        "carlstatrig carl/carlstatrig_sp.d"
Class/Priority NONE 0
Process        "carlstatrig carl/carlstatrig_bb.d"
Class/Priority NONE 0
Process        "carlsubtrig carl/carlsubtrig.d"
Class/Priority NONE 0
Process        "trig2ps carl/trig2ps.d"
Class/Priority NONE 0

# WEB
Process          "ewhtmlemail web/ewhtmlemail_auto.d"
Class/Priority    NONE 0
Process          "ewhtmlemail web/ewhtmlemail_final.d"
Class/Priority    NONE 0
Process          "file2ew inject/file2ew_auto.d"
Class/Priority    NONE 0
Process          "file2ew inject/file2ew_final.d"
Class/Priority    NONE 0

# OTHER
Process        "coda_aav mag/coda_aav.d"
Class/Priority NONE 0
Process        "coda_dur mag/coda_dur.d"
Class/Priority NONE 0
Process        "ew2file mag/ewmag2file.d"
Class/Priority NONE 0
Process        "ew2wda wda/ew2wda.d"
Class/Priority NONE 0

# isti devel
Process        "export_generic out/export_gen_wws.d"
Class/Priority NONE 0
Process        "ewmseedarchiver ms/ewmseedarchiver.d"
Class/Priority NONE 0

# status monitoring
Process        "copystatus WAVE_RING STATUS_RING"
Class/Priority NONE 0
Process        "copystatus PICK_RING STATUS_RING"
Class/Priority NONE 0
Process        "copystatus SUBTRIG_RING STATUS_RING"
Class/Priority NONE 0
Process        "copystatus TRIG_RING STATUS_RING"
Class/Priority NONE 0
Process        "copystatus HYPO_RING STATUS_RING"
Class/Priority NONE 0
Process        "copystatus HYPO_RING_AUTO STATUS_RING"
Class/Priority  NONE 0
Process        "copystatus HYPO_RING_FINAL STATUS_RING"
Class/Priority  NONE 0

