
# Latency Module config file 
# for processing waveform files from wave ring and writing to latency ring


# IDs 

WaveRingName      WAVE_RING			# read waveforms from this ring
LatencyRingName	LATENCY_RING		# play latencies into this ring
ModuleId				MOD_LATENCY			# as this module id


# Operational parameters

Mode					RAW_MODE				# Operational mode (Options are RAW_MODE, FORCED_MODE, INTERP_MODE)
Timeout				10.0					# Number of seconds allowed before declaring a gap
Interval				1.0					# Integration interval for interpolation calculations (seconds)
SleepTime			200					# Time to sleep if no data is found (milliseconds)
Increment			1.0					# Time between output records
HeartbeatTime		30.0					# Heartbeat interval (seconds)

TestMode				0						# Toggles special debugging/test operations; set to 0 when 
												# actually deploying module

# Output header values

Chan_0				"L"
Chan_1				"1"
Version_0			"1"
Version_1			"0"
Pin					0
Nsamp					1
Samprate				1.0
# Quality			""
Datatype				"i4"
Pad					""

# The "Quality" field is actually two characters, similar to the Version fields.
# This module hijacks the Quality field to register processing delays caused
# by sleep cycles.


# Input file contining SCNL names

SCNLfile				"siteNamesT.txt"	# list of SCNL tags to read

