/*
   dumpfile.c

   Dump a file. 

   Command line arguments:   
       argv1 = file to dump
*/

#include "hexdump.h"

#define VERSION "1.0.307"

int main(int argc, char **argv)
{
   FILE *fp;
   int  sz, pad;
   void *buffer;

   // check arguments
   if( argc < 2 ) {
      printf("dumpfile version %s\n\n", VERSION);
      printf("Usage: dumpfile <filename>\n");
      return( 1 );
   }

   // open file
   fp = fopen( argv[1], "rb" );
   if ( fp == NULL )
   {
      fprintf( stderr, "Cannot open file <%s>\n", argv[1] );
      return( 2 );
   }

   fseek(fp, 0L, SEEK_END);
   sz = ftell(fp);
   pad = 0;
   // if odd add pad
   if ((sz % 2) != 0)  pad = 1;
   buffer = malloc(sz + pad);
   if (!buffer)
   {
      return( 3 );
   }
   if (pad)
   {
      // clear last byte
      *(((char *)buffer) +sz) = 0;
   }
   rewind(fp);
   //Read file contents into buffer
   if (fread(buffer, 1, sz, fp) != sz)
   {
      fprintf( stderr, "Cannot read file <%s>\n", argv[1] );
   }
   else
   {
       hexdump(buffer, sz, 16);
   }

   fclose( fp );
   free(buffer);
   return( 0 );
}
