#include "time_ew_common.h"
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

/**
 * Parses the time string to get a double epoch (seconds since 1970:01:01)
 * @param t the epoch result
 * @param timestr the time string
 * @return the number of time fields parsed or 0 if none
 */
int parsetime_ew(double *t, const char *const timestr) {
  int retval;
  struct tm ti;
  double t_sec;
  memset(&ti, 0, sizeof(struct tm));
  t_sec = 0.;
  if (strchr(timestr, 'T') != NULL) {
    retval = sscanf(timestr, "%d-%d-%dT%d:%d:%lf", &ti.tm_year, &ti.tm_mon,
                    &ti.tm_mday, &ti.tm_hour, &ti.tm_min, &t_sec);
    ti.tm_sec = (int)t_sec;
    t_sec -= ti.tm_sec;
    ti.tm_year -= 1900; // years since 1900
    ti.tm_mon -= 1;     // month is 0-11
    *t = timegm_ew(&ti) + t_sec;
  } else {
    retval = 1;
    *t = atof(timestr);
  }
  return retval;
}
